#if !defined(AFX_SISLDLG_H__75001722_9741_11D5_B490_0002A5375342__INCLUDED_)
#define AFX_SISLDLG_H__75001722_9741_11D5_B490_0002A5375342__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SiSLDlg.h : header file
//

#include "CSWObject.h"
#include <comdef.h>
#include "ssitables.h"

// The ssitables lib doesn't produce the SITableTypes enum, so here's one:

enum SITableTypes
{
   Native = 0,
   External,
   Query,
   Analysis,
   AddIn,
   Unknown,
   Snapshot
};

/////////////////////////////////////////////////////////////////////////////
// SiSLDlg dialog

class SiSLDlg : public CDialog
{
// Construction
public:
        SiSLDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
        //{{AFX_DATA(SiSLDlg)
        enum { IDD = IDD_SISLDLG_DIALOG };
        CEdit   m_cShpPath;
        CEdit   m_cTabName;
        CStatic m_cStatus;
        CString m_sShpPath;
        CString m_sTabName;
        double  m_dSF;
        //}}AFX_DATA


// Overrides
        // ClassWizard generated virtual function overrides
        //{{AFX_VIRTUAL(SiSLDlg)
        public:
        virtual void OnFinalRelease();
        protected:
        virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
        //}}AFX_VIRTUAL

// Implementation
protected:

        // Generated message map functions
        //{{AFX_MSG(SiSLDlg)
        virtual void OnCancel();
        afx_msg void OnClose();
        afx_msg void OnRun();
        afx_msg void OnInterrupt();
        afx_msg void OnTimer(UINT nIDEvent);
        afx_msg void OnFileDialog();
        //}}AFX_MSG
        DECLARE_MESSAGE_MAP()
        // Generated OLE dispatch map functions
        //{{AFX_DISPATCH(SiSLDlg)
                // NOTE - the ClassWizard will add and remove member functions here.
        //}}AFX_DISPATCH
        DECLARE_DISPATCH_MAP()
        DECLARE_INTERFACE_MAP()

public:

   // operations

   BOOL InitSW(IDispatch * * SpatialIntelligence);
   virtual BOOL OnInitDialog();

private:

   // attributes

   CSWObject SI;
   CSWObject Helper;

   // operations

   BOOL IsBusy();
   void DoIt();
   BOOL BuildProjectTable();
   BOOL TableExists(_SIProjectTables *SITables);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SISLDLG_H__75001722_9741_11D5_B490_0002A5375342__INCLUDED_)
